     

pipeline {
    agent any

    tools {
        maven "3.6.0" // You need to add a maven with name "3.6.0" in the Global Tools Configuration page
    }

   stages{
        stage(" unit test") {
            steps {
                
                sh "mvn test"
                echo 'test unitaire'
                 
            }
        }
 
    
        stage("Build") {
            steps {
 
                sh "mvn clean install"
                sh "mvn clean package"
                sh " cp /var/lib/jenkins/workspace/REPORT-SICI_test/reporting-presentation/target/reporting-presentation-1.0.0.jar  /var/lib/jenkins/workspace/reporting-presentation-1.0.0.jar"
                sh " cp  /var/lib/jenkins/workspace/reporting-presentation-1.0.0.jar  /opt/build/"
  
            }
        }
         stage("deploy") {
            steps {
               
             
                sh " cd   /opt/project/   "
              
               sh "   mv /opt/build/reporting-presentation-1.0.0.jar /opt/project/reporting-presentation-1.0.0.jar   "

                sh "   chmod 755  /opt/project/reporting-presentation-1.0.0.jar "
sh "scp -oStrictHostKeyChecking=no  /opt/project/reporting-presentation-1.0.0.jar root@172.16.1.117:/opt/reporting/reporting-presentation-1.0.0.jar"  


 
               sh "  ssh root@172.16.1.117 'systemctl restart reporting.service'"

               
            

            
                
            
        }
    }
}
    post {
        always {
            cleanWs()
        }
    }
}
